Bug 458388 - Migrate Rhythmbox to use libmtp 0.3.0
Migrate Rhythmbox to use libmtp 0.3.0
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
: FutureFeature, Patch
Depends On:
Blocks: 458387
  Show dependency treegraph
 
Reported: 2008-08-07 18:58 EDT by Linus Walleij
Modified: 2008-08-12 17:21 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-12 12:20:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to migrate IF to libmtp 0.3.0 and add a few features too (1.90 KB, patch)
2008-08-07 18:58 EDT, Linus Walleij
no flags Details | Diff

  None (edit)
Description Linus Walleij 2008-08-07 18:58:10 EDT
Created attachment 313759 [details]
Patch to migrate IF to libmtp 0.3.0 and add a few features too

Migration to libmtp 0.3.0.

We need to migrate all apps to use libmtp 0.3.0 in F10 to support new devices e.g.

I hacked up this patch, plan is to submit it upstream, does it look OK so I could sort of put it in and rebuild rhythmbox once I slam in libmtp 0.3.0?
Comment 1 Bastien Nocera 2008-08-08 05:26:17 EDT
That looks fine to me. Please file upstream, and I'll see whether it needs cleaning up (ie. more configure checks for older versions).
Comment 2 Linus Walleij 2008-08-08 12:27:07 EDT
Updtream bug in GNOME BZ:
http://bugzilla.gnome.org/show_bug.cgi?id=546962
Comment 3 Bastien Nocera 2008-08-12 11:39:53 EDT
Currently building in rhythmbox-0_11_6-4_fc10
Comment 4 Bastien Nocera 2008-08-12 12:20:03 EDT
Done. Feel free to respin a build of rhythmbox to your convenience when you upgrade to libmtp 0.3.
Comment 5 Linus Walleij 2008-08-12 17:21:55 EDT
Excellent! Thanks Bastien, now I only have Amarok to fix and
we'll upgrade.

Note You need to log in before you can comment on or make changes to this bug.